from setuptools import setup, find_packages
from inferno import __version__ as version
# Read the contents of the README file
with open("README.md", encoding="utf-8") as f:
    long_description = f.read()

# Read the requirements file
with open("requirements.txt", encoding="utf-8") as f:
    requirements = [line.strip() for line in f if line.strip() and not line.startswith("#")]

setup(
    name="inferno-llm",
    version=version,
    description="A powerful llama-cpp-python based LLM serving tool similar to Ollama",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="HelpingAI",
    author_email="info@helpingai.co",
    url="https://github.com/HelpingAI/inferno",
    packages=find_packages(),
    include_package_data=True,
    install_requires=requirements,
    entry_points={
        "console_scripts": [
            "inferno=inferno.cli.commands:app",
        ],
    },
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
    ],
    python_requires=">=3.9",
)
